This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1475017 - [RFE] change progress percent to be percent of total download instead of percent of current segment
[RFE] change progress percent to be percent of total download instead of perc...
Status: NEW
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
25
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Martin Hatina
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 16:52 EDT by stan
Modified: 2017-08-30 02:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stan 2017-07-25 16:52:32 EDT
Description of problem:
When I run dnf in the command line, it shows the progress as it downloads the metadata as a percent on the left.  But the download is broken down into segments, and the percent is of the segment rather than the overall download. It starts at zero for each segment.  Would rather see the percent of the total download completed at all times.


Version-Release number of selected component (if applicable):

Name        : dnf
Version     : 1.1.10
Release     : 6.fc25
Architecture: noarch
How reproducible:


Steps to Reproduce:
1.  Run dnf update from the command line, and watch as metadata updated
2.
3.

Actual results:
percent is percent of each segment

Expected results:
percent is percent of total download

Additional info:

Note You need to log in before you can comment on or make changes to this bug.